=== templates/CMakeLists.txt ===

install(FILES event.html
              freebusy.html
              incidence_header.html
              journal.html
              template_base.html
              todo.html
              attendee_row.html
        DESTINATION ${KDE_INSTALL_DATADIR}/kcalendar/templates/default
)
