=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libkf5calendarcore-dev,
               libkf5codecs-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5identitymanagement-dev,
               libkf5kdelibs4support-dev,
               libkf5pimtextedit-dev,
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcalutils.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcalutils.git

Package: libkf5calendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev,
         libkf5calendarutils5 (= ${binary:Version}),
         libkf5coreaddons-dev,
         libkf5kdelibs4support-dev,
         ${misc:Depends}
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkf5calendarutils5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.

Package: libkf5calendarutils-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5calendarutils5 (= ${binary:Version}), ${misc:Depends}
Description: kcalutils - debug symbols
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the debug symbols.
