## kcalutils 15.12.3

=== debian/changelog ===
kcalutils (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * refresh symbols. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:08:09 -0700

kcalutils (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Add missing epoch to kcalcore build depend. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:26:52 -0800

kcalutils (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes.
  * Fix changelog.
  * Refresh symbols.
  * Refresh symbols again - rebuild pim stack.
  * Symbols - again - pim stack rebuild.
  * Symbols? again? really?
  * Manually add new symbols in.
  * Refresh symbols.
  * Bump build depend version on pim*.

  [ Clive Johnston ]
  * Fiixng install file
  * Refresh symbols

  [ Scarlett Clark ]
  * Fix merge.
  * Fix merger.

  [ Clive Johnston ]
  * Refreshing symbols and removing merge marker
  * Fixing symbols file

  [ Scarlett Clark ]
  * Fun with mergers. Weeeee.
  * Fun with symbols. Weeeee.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:32:21 +0100

kcalutils (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * Adding new and removing missing symbols 
  * Adding new files to install files
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:42:46 +0000

kcalutils (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:16:27 +0100

kcalutils (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:30 +0200

kcalutils (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 23:51:52 +0200
