=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libkf5calendarcore-dev,
-               libkf5codecs-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5identitymanagement-dev,
-               libkf5kdelibs4support-dev,
-               libkf5pimtextedit-dev,
-               pkg-kde-tools (>> 0.15.15)
+               extra-cmake-modules (>= 5.14.0~),
+               libgrantlee5-dev (>= 5.0~),
+               libkf5calendarcore-dev (>= 4:15.12.1~),
+               libkf5codecs-dev (>= 5.14.0~),
+               libkf5config-dev (>= 5.14.0~),
+               libkf5coreaddons-dev (>= 5.14.0~),
+               libkf5i18n-dev (>= 5.14.0~),
+               libkf5identitymanagement-dev (>= 15.12.1~),
+               libkf5kdelibs4support-dev (>= 5.14.0~),
+               libkf5pimtextedit-dev (>= 15.12.1~),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcalutils.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcalutils.git
@@ -24,10 +26,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5calendarcore-dev,
+Depends: libkf5calendarcore-dev (>= 4.81.0~),
          libkf5calendarutils5 (= ${binary:Version}),
-         libkf5coreaddons-dev,
-         libkf5kdelibs4support-dev,
+         libkf5coreaddons-dev (>= 5.14.0~),
+         libkf5kdelibs4support-dev (>= 5.14.0~),
          ${misc:Depends}
 Description: kcalutils - development files
  This library provides a set of utility functions that help applications access
