## kcalutils 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KCalUtils)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(ECMGenerateHeaders)
@@ -13,13 +13,13 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.14.0")
-set(CALENDARUTILS_LIB_VERSION "4.80.0")
-set(CALENDARCORE_LIB_VERSION "4.81.0")
-set(IDENTITYMANAGER_LIB_VERSION "4.80.0")
+set(KF5_VERSION "5.19.0")
+set(CALENDARUTILS_LIB_VERSION "5.2.3")
+set(CALENDARCORE_LIB_VERSION "5.2.0")
+set(IDENTITYMANAGER_LIB_VERSION "5.2.0")
 ecm_setup_version(${CALENDARUTILS_LIB_VERSION} VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarUtilsConfigVersion.cmake"
