=== debian/changelog ===
kcalutils (16.04.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update install files.
    Thanks to Lucas Nussbaum for the report (Closes: 830426)

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Aug 2016 12:03:07 +0200

kcalutils (16.04.2-1) unstable; urgency=medium

  * Add new testsuite patch: set_icontheme.diff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 09:56:51 +0200

kcalutils (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Add missing build dependency.
  * Update tests dependencies
  * Update testsuite

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 10:46:16 +0200

kcalutils (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:40 +0100

kcalutils (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:10:38 +0100
