=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libical-dev,
               libkf5calendarcore-dev (>= 5.2.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5identitymanagement-dev (>= 5.2.0~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5pimtextedit-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcalutils.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcalutils.git

Package: libkf5calendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5calendarcore-dev (>= 5.2.0~),
         libkf5calendarutils5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.19.0~),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkf5calendarutils5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
