## kcalutils 17.04.3

=== debian/changelog ===
kcalutils (4:17.04.3-0ubuntu4) artful; urgency=medium

  * Fix last patch

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 23 Aug 2017 11:24:51 +0100

kcalutils (4:17.04.3-0ubuntu2) artful; urgency=medium

  * Disable broken test. Confirmed in KDE's own CI, and Neon CI.
    KDE Bug 383890

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 23 Aug 2017 09:52:25 +0100

kcalutils (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Add libkf5calendarutils-bin providing plugins
  * Add libkf5calendarutils-data providing translations
  * Update symbols files
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Update symbols from build logs for GCC7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:50 +0100

kcalutils (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Add oxygen-icon-theme to the testsuite depends, otherwise the test
    kcalutils-testincidenceformatter would fail (that happens because
    without icon theme installed, the automatically generated html won't
    have icons so the result will be different than expected)
  * Create a $HOME directory for the 'testsuite' autopkgtest, otherwise it could
    fail
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:20 +0100

kcalutils (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump dpe versions. 
  * New upstream bugfix release
  * Update SO version in install file. 
  * Refresh symbols. Removed MISSING, everything PIM needs rebuild. 
  * Refresh symbols again. Removed another MISSING. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols and removing MISSING

  [ Rik Mills ]
  * Fix grantlee plugin path in install file
  * Refresh symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:50 +0200
