=== debian/changelog ===
kcalutils (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:10 +0000

kcalutils (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * debian/patches: Add fix-upstream-test-data.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 11:03:28 +0000

kcalutils (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible
    changes:
    - libkf5calendarutils5 -> libkf5calendarutils5abi1
  * Drop kubuntu_disable_broken_tests.patch; fixed upstream 
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking libkf5calendarutils-dev as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:17 +0000

kcalutils (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:03:42 +0000
