=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
@@ -25,9 +25,9 @@
 Package: libkf5calendarutils-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
-Depends: libkf5calendarcore-dev (>= 4:17.04.3~),
-         libkf5calendarutils5 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
+         libkf5calendarutils5abi1 (= ${binary:Version}),
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
@@ -47,7 +47,9 @@
  This library provides a set of utility functions that help applications access
  and use calendar data via the KCalCore library.
 
-Package: libkf5calendarutils5
+Package: libkf5calendarutils5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5CalendarUtils
 Architecture: any
 Multi-Arch: same
 Depends: libkf5calendarutils-data (= ${source:Version}),
