## kcalutils 18.04.3

=== debian/changelog ===
kcalutils (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip more tests with unreliable upstream test data:
    Ref: https://bugs.kde.org/show_bug.cgi?id=391287#c2

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Aug 2018 10:50:40 +0100

kcalutils (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install debug categories files
  * Drop fix-upstream-test-data.patch as upstream test data has changed
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)
  * Drop upstream_fix-build-with-Qt-5.11.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:21 +0100

kcalutils (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Skip test with unreliable upstream test reference data

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 07:29:50 +0100

kcalutils (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Add upstream patrch to fix build with Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 19:27:50 +0100
