=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
@@ -26,11 +26,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:18.04.3~),
          libkf5calendarutils5abi1 (= ${binary:Version}),
          libkf5coreaddons-dev (>= 5.31.0~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: kcalutils - development files
  This library provides a set of utility functions that help applications access
  and use calendar data via the KCalCore library.
